<?php

// Website SuperSearch
// 
// Script for searching the contend of database driven websites
// Copywright (C) 2010 Luke Mounsey
//
// See "readme.txt" for installation details
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License included in the file 
// "license.txt" for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

// CONTROLLER

require_once("includes/sql_search.php");
require_once("includes/website_search.php");
require_once("includes/misc_functions.php");
require_once("includes/website_search_config.php");

// connect to database

db_connect($db_host,$db_user,$db_pass,$db_name);

// conduct the search

$request=array();

if(isset($_REQUEST['submit'])){

	$post_vars=array("submit","search_type","exact_words","search_fields","search_query","display_page","display_page","orderby","orderdir");

	foreach($post_vars as $var){

		$request[$var]=sanitize($_REQUEST[$var]);

	}

}

$search = new website_search($request);

$menu_searchin=$search->menu_searchin($search_fields);
$menu_searchtype=$search->menu_searchtype($search_type);


// VIEW

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?=$page_title;?></title>
		<link rel="stylesheet" href="styles/website_search_style.css" type="text/css" />
		<meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
	</head>
	<body>

		<div class='container'>
		
			<form class='search' method='get' action=''>

				<span class='title'><?=$page_title;?></span><br />
				Enter word(s), phrase(s), or expression(s):<br />
	
				<input type='text' name='search_query' value='' style='width:100%' />
				<table style='width:100%' id='form_table'>
					<tr><td style='text-align:right'>Search In: </td><td><select name='search_fields'><?=$menu_searchin;?></select></td></tr>
					<tr><td style='text-align:right'>Search For:</td><td><select name='search_type'><?=$menu_searchtype;?></select></td></tr>
				</table>
				<input name="exact_words" checked="checked" id="ww" value="exact_words" type="checkbox" /> <label for="ww">Exact words only</label>
				<br /><br />
				<input type='submit' name='submit' value="Search Website" />
			</form>
			
			<div class='results'>
			
				<?=$search->pagination;?><br />
				<?=$search->results_display;?>
				<?=$search->pagination;?>
			
			</div>

		</div>
		
	</body>
</html>
